| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::FieldSpec Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

QString | name
QStringList | parameters
uint | flags
uint | max

## Detailed Description

Structure type generated from the specification.

A struct describing a vCard field, with parameters, that may be passed to SetContactInfo on this Connection.

## Member Data Documentation

## § name

QString Tp::FieldSpec::name

A vCard field name, such as 'tel'.

## § parameters

QStringList Tp::FieldSpec::parameters

The set of vCard type parameters which may be set on this field. If this list is empty and the Contact_Info_Field_Flag_Parameters_Exact flag is not set, any vCard type parameters may be used.

## § flags

uint Tp::FieldSpec::flags

Flags describing the behaviour of this field.

## § max

uint Tp::FieldSpec::max

Maximum number of instances of this field which may be set. MAXUINT32 is used to indicate that there is no limit.